--[[ these are only useful if you remember to copy the scripts
from Graphics/_common/ as well as Scripts/Fonts.lua.
In addition to that, you have to rename fonts... not fun. you probably shouldn't
use this file in your themes. wait for whatever font system naket coder's
cooking up for NCRX; I hear it's gonna be great -aj ]]

-- used to choose between normal size and doubleres fonts
function AutoText(fontName,override)
	if override then
		return LoadActor( THEME:GetPathG("","_common/AutoText"), {fontName, override});
	else
		return LoadActor( THEME:GetPathG("","_common/AutoText"), fontName);
	end;
end;

function HDActor(element,override)
	if override then
		return LoadActor( THEME:GetPathG("","_common/HDActor"), {element, override});
	else
		return LoadActor( THEME:GetPathG("","_common/HDActor"), element);
	end;
end;

-- GetStepManiaVersion(): used for figuring out what alpha version someone is on.
-- this function will be removed as StepMania 4 matures towards a final release.
function GetStepManiaAlphaVersion()
	local version = ProductVersion();
	-- if it matches "alpha #", use #.
	local startIdx,endIdx = string.find(version, "alpha ");
	if endIdx then
		version = string.sub(version,endIdx+1);
	end;
	return tonumber(version);
end;

-- horizalign and vertalign are deprecated as of stepmania 4 alpha 6; you can
-- thank glenn for that, as usual.
local hAligns = {
	HorizAlign_Left = 0,
	HorizAlign_Center = 0.5,
	HorizAlign_Right = 1
};

function Actor:horizalignC(value)
	if GetStepManiaAlphaVersion() >= 6 then
		if hAligns[value] then
			self:halign(hAligns[value]);
		else
			self:halign(value)
		end;
	else
		self:horizalign(value);
	end;
end;

local vAligns = {
	VertAlign_Top = 0,
	VertAlign_Middle = 0.5,
	VertAlign_Bottom = 1,
};

function Actor:vertalignC(value)
	if GetStepManiaAlphaVersion() >= 6 then
		if vAligns[value] then
			self:valign(vAligns[value]);
		else
			self:valign(value)
		end;
	else
		self:vertalign(value);
	end;
end;

if SSC then
	ScreenString = Screen.String;
end;